package com.mortals.xhx.flowable.model;

import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.io.Serializable;

/**
 * 流程模型的视图模型
 *
 * @author: zxfei
 * @date: 2021/8/26 10:07
 */
@Data
@ApiModel(value = "ModelInfoVo", description = "查询模型对象返回对象")
public class ModelInfoVo implements Serializable {
    private static final long serialVersionUID = -2434943659168309903L;
    /**
     * 模型ID
     */
    private String modelId;
    /**
     * 模型key
     */
    private String modelKey;
    /**
     * 模型名称
     */
    private String modelName;
    /**
     * 文件名称
     */
    private String fileName;
    /**
     * 模型xml
     */
    private String modelXml;
    /**
     * 模型属于平台
     */
    private String platformSn;
    /**
     * 类别
     */
    private String categoryCode;
}
