package com.mortals.xhx.flowable.model;

import lombok.AllArgsConstructor;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 流程
 *
 * @author: 高亮信息
 * @date: 2021/8/26 10:06
 */
@Data
@AllArgsConstructor
public class HighLightedNodeVo implements Serializable {
    public HighLightedNodeVo() {
    }

    public HighLightedNodeVo(List<String> highLightedFlows, List<String> activeActivityIds) {
        this.highLightedFlows = highLightedFlows;
        this.activeActivityIds = activeActivityIds;
    }

    /**
     * 高亮线id集合
     */
    private List<String> highLightedFlows;
    /**
     * 高亮节点id集合
     */
    private List<String> activeActivityIds;
    /**
     * model的xml文件
     */
    private String modelXml;
    /**
     * model的名称
     */
    private String modelName;
}
